RoutesFaq module
Faq routes
URLs the Faq module answers, their parameters and the variables each view receives.
Templates view
/faq/page/{fullSlug}
showPage
Show a single record
Path parameters
fullSlug matches .+
| Variable | Type | Description |
|---|---|---|
$page |
Page |
Single Page record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/faq/questions
listQuestions
Retrieve a list of records and assign them to the template.
| Variable | Type | Description |
|---|---|---|
$questions |
Collection<Question> |
Collection of Questions |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/faq/questions/tags/{tags}/{page}
listTagsQuestions
Retrieve a list of records and assign them to the template.
Path parameters
tags matches ^[\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*([+&,|][\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*)*$page matches \d+
| Variable | Type | Description |
|---|---|---|
$questions |
Collection<Question> |
Collection of Questions |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/faq/questions/categories/{categories}/{page}
listCategoriesQuestions
Retrieve a list of records and assign them to the template.
Path parameters
categories matches ^[\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*([+&,|][\w\-]*[a-zA-Z0-9\x7f-\xff]+[\w\-]*)*$page matches \d+
| Variable | Type | Description |
|---|---|---|
$questions |
Collection<Question> |
Collection of Questions |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/faq/question/{slug}
showQuestion
Show a single record
Path parameters
slug matches ^(?:[\w\-]*[a-zA-Z0-9\x7f-\xff]+)+[\w]*$
| Variable | Type | Description |
|---|---|---|
$question |
Question |
Single Question record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.